<?php
require_once('includes/session_start.php');
require_once('includes/config.inc.php');


$showForm = true;

// If no first_name session variable exists, redirect the user:
if (!isset($_SESSION['first_name'])) {
	$url = BASE_URL . 'index.php'; //Define the URL.
	ob_end_clean(); //Delete the buffer.
	header("Location: $url"); 
	exit(); //Quit the script.
}
?>

<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>Design Club | Change Password</title>
<link href="css/styles.css" rel="stylesheet" type="text/css">
<style type="text/css" title="text/css" media="all">
 
body {background-image:url('images/shower.png');
    background-size:100% 100%;
    background-attachment:fixed;}

</style>   
<!-- ***NOTE*** begin .container is located in the "inc_header.php" file. -->
<!--[if lte IE 7]>
<style>
.content { margin-right: -1px; } /* this 1px negative margin can be placed on any of the columns in this layout with the same corrective effect. */
ul.nav a { zoom: 1; }  /* the zoom property gives IE the hasLayout trigger it needs to correct extra whiltespace between the links */
</style>
<![endif]-->
</head>
<body>
 <div id="wrapper">
         <!-- start .header -->
  <?php require_once('includes/inc_header.php'); ?>
         <!-- end .header --> 
         <!-- start mainnav -->
 <?php require_once('includes/inc_mainnav.php'); ?>
         <!-- end mainnav -->        
 
  <div class="content"> <!-- begin .content -->
    <h3>Change your password in 42 easy steps! :)</h3>
  <?php
	  if (isset($_POST['submitted'])) {
		require_once(MYSQL);
		
		// check for a new password and match against the confirmed password
		$p = FALSE;
		if (preg_match ('/^(\w){4,20}$/', $_POST['password1']) ) {
			if ($_POST['password1'] == $_POST['password2']) {
				$p = mysqli_real_escape_string ($dbc, $_POST['password1']);
			} else {
				echo '<p class="error">Your password did not match the confirmed password!</p>';
			}
		} else {
			echo '<p class="error">Please enter a valid password!</p>';
		}
		//password is good, proceed to update
		if ($p) {
			// make the query
			$q = "UPDATE users SET pass=SHA1('$p') WHERE user_id={$_SESSION['user_id']} LIMIT 1";
			$r = mysqli_query($dbc, $q) or trigger_error("Query: $q\n<br/>MySQL Error: " . mysqli_error($dbc));
			
			if(mysqli_affected_rows($dbc) == 1) {
				//the query ran successfull
				echo '<p class="success">Your password has been updated.</p>';
				mysqli_close($dbc); //close connection
				$showForm = false;
			}  else {
				echo '<p class="error">Your password was not changed. Make sure your new password is different than the current password. Contact the system administrator if you think an error occurred.</p>';
				
			}
			
		} else { // Failed the validation test.
		    echo '<p class="error">Please try again.</p>';
		} //end if ($p) {
		
	  } //if (isset($_POST['submitted'])) {
    ?>
    
<?php
    if ($showForm) {

?>    
    <form action="change_password.php" method="post">
        <fieldset>
        
        <p>
            <label class="label" for="password1">New Password: </label>
            <input type="password" name="password1" size="20" maxlength="20" /> <small>Use only letters, numbers, and the underscore. Must be between 4 and 20 characters long.</small>
        </p>
            
        <p>
    		<label class="label" for="password2">Confirm New Password: </label>
            <input type="password" name="password2" size="20" maxlength="20" />
        </p>
        
        </fieldset>
        
        <input type="submit" name="submit" value="Change Password" />
        <input type="hidden" name="submitted" value="TRUE" />
        
        </form>        
<?php
	} //end if ($showForm) {
?> 
   </div> <!-- end .content -->

  <div class="footer">

    <?php require_once('includes/inc_footer.php'); ?>
  </div><!-- end .container -->
  
 </div>
</body>
</html>