<?php
require_once('includes/session_start.php');
require_once('includes/config.inc.php');

//if no first_name session variable exists, redirect the user:
if (!isset($_SESSION['first_name'])) {
	$url = BASE_URL . 'index.php'; //Define the URL.
	ob_end_clean(); //Delete the buffer.
	header("Location: $url");
	exit(); //Quit the script.
} else {
	$_SESSION = array(); // destroy the session variables
	session_destroy(); //destroy the session
	setcookie(session_name(), '', time()-300); //destroy cookie
}
?>
<!doctype html>
<html>
<head>
<meta charset="UTF-8">
<title>Design Club | Logout</title>
<link href="css/styles.css" rel="stylesheet" type="text/css">
<style type="text/css" title="text/css" media="all">

body {background-image:url('images/shower.png');
    background-size:100% 100%;
    background-attachment:fixed;}
</style>   
<!-- ***NOTE*** begin .container is located in the "inc_header.php" file. -->
<!--[if lte IE 7]>
<style>
.content { margin-right: -1px; } /* this 1px negative margin can be placed on any of the columns in this layout with the same corrective effect. */
ul.nav a { zoom: 1; }  /* the zoom property gives IE the hasLayout trigger it needs to correct extra whiltespace between the links */
</style>
<![endif]-->
</head>
<body>
 <div id="wrapper">
         <!-- start .header -->
  <?php require_once('includes/inc_header.php'); ?>
         <!-- end .header --> 
         <!-- start mainnav -->
 <?php require_once('includes/inc_mainnav.php'); ?>
         <!-- end mainnav -->        
  <div class="content"> <!-- begin .content -->
    <h3>Logout</h3>
    <p>Thank you for visiting our <br>
    You are now logged out. Come back soon.</p>
   </div> <!-- end .content -->
  <div class="footer">
    <?php require_once('includes/inc_footer.php'); ?>
  </div><!-- end .container -->
 </div>
</body>
</html>